<h2 mat-dialog-title>Add new campaign</h2>
<mat-dialog-content class="mat-typography">
  <form [formGroup]="form">
      <mat-grid-list cols="3" rowHeight="1:1" style="margin-bottom:16px;">
        <mat-grid-tile
            [colspan]="1"
            [rowspan]="1">
          <img src="{{path+video.thumbnail}}" width="100%">
        </mat-grid-tile>
        <mat-grid-tile
            [colspan]="2"
            [rowspan]="1">
          <button mat-button color="primary" (click)="uploadDialog('video/*')">Add Video</button>
        </mat-grid-tile>
      </mat-grid-list>
      <input formControlName="video" [(ngModel)]="video.url" type="hidden" name="video" required>
      <mat-form-field appearance="outline" class="w-100" style="margin-bottom:16px;">
          <mat-label>Campaign Name</mat-label>
          <input matInput placeholder="Campaign Name" formControlName="title" type="text" name="title" required>
          <mat-error>Enter valid text</mat-error>
      </mat-form-field>
      <mat-form-field appearance="outline" class="w-100">
        <mat-select formControlName="brand" placeholder="Brand">
          <mat-option *ngFor="let brand of brands" [value]="brand._id">
            <!--{{brand.title}}-->
            <span style="padding-left: 30px;"><img src="{{baseUrl+brand.logo}}" style="width:25px; margin-top:8px; margin-left:-30px; position: absolute;"> {{brand.title}} </span>
          </mat-option>
        </mat-select>
      </mat-form-field>
      <mat-form-field appearance="outline" class="w-100">
        <mat-select formControlName="gender" placeholder="Targeted Gender" multiple>
          <mat-option *ngFor="let gender of genders" [value]="gender">
            {{gender}}
          </mat-option>
        </mat-select>
      </mat-form-field>
      <mat-form-field appearance="outline" class="w-100">
        <mat-select formControlName="age" placeholder="Targeted Age Group" multiple>
          <mat-option *ngFor="let age of ages" [value]="age">
            {{age}}
          </mat-option>
        </mat-select>
      </mat-form-field>
      <mat-form-field appearance="outline" class="w-100" style="margin-bottom:16px;">
          <mat-label>Impressions Needed</mat-label>
          <input matInput placeholder="Impressions Needed" formControlName="impressions" type="number" name="impressions" min=0 required>
          <mat-error>Enter valid number</mat-error>
      </mat-form-field>
      <mat-form-field appearance="outline" class="w-100">
          <input matInput formControlName="start_date" [matDatepicker]="start_date" placeholder="Choose start date">
          <mat-datepicker-toggle matSuffix [for]="start_date"></mat-datepicker-toggle>
          <mat-datepicker #start_date></mat-datepicker>
      </mat-form-field>
      <mat-form-field appearance="outline" class="w-100">
          <input matInput formControlName="end_date" [matDatepicker]="end_date" placeholder="Choose end date">
          <mat-datepicker-toggle matSuffix [for]="end_date"></mat-datepicker-toggle>
          <mat-datepicker #end_date></mat-datepicker>
      </mat-form-field>
  </form>
</mat-dialog-content>
<mat-dialog-actions align="end">
  <button mat-button  [mat-dialog-close]="null">Cancel</button>
  <button mat-raised-button color="primary" [mat-dialog-close]="form.value" [disabled]="form.status == 'INVALID' || video.url.length==0" cdkFocusInitial>Add Campaign</button>
</mat-dialog-actions>